 /**
   * The Custome Script.
   *
   *
   * @package   ospersonality WordPress Theme
   * @copyright Copyright (C) 2016, OrdaSoft
   * @license  http://www.gnu.org/licenses/gpl-2.0.html  GNU General Public License v2 or later
   * @author    AUTHOR <www.ordasoft.com>
   * ospersonality is distributed under the terms of the GNU GPL
   */
//menu
jQuery(document).ready(function (){

//slider
    var swiper = new Swiper('.swiper-container', {
        slidesPerView: 1,
        spaceBetween: 30,
        grabCursor: true,
        pagination: '.swiper-pagination',
        paginationType: 'progress',
        nextButton: '.swiper-button-next',
        prevButton: '.swiper-button-prev',
        effect: 'fade',
        autoplay: 3000,
        //paginationClickable: true,
        // direction: 'vertical',
        loop: true
    });



    jQuery(".accordion .accordion-body").addClass('accord-body--close');

    jQuery(".accordion .accord-header").click(function() {

        if(jQuery(this).parent().hasClass('accord-body--close')){

            jQuery(".accordion .accordion-body").addClass('accord-body--close');
            jQuery(this).parent().removeClass('accord-body--close');
        }

        else{
            jQuery(this).parent().addClass('accord-body--close');
        }

    });


    // jQuery(window).scroll(function(){
    //   if(jQuery(window).scrollTop() >= 20) {
    //    jQuery('.top-section').addClass('top-section-fixed');
    //   } else {
    //    jQuery('.top-section').removeClass('top-section-fixed');
    //  }
    // });

    // jQuery(window).scroll(function(){
    //   if(jQuery(window).scrollTop() >= 20) {
    //    jQuery('.right-section').addClass('right-section-fixed');
    //   } else {
    //    jQuery('.right-section').removeClass('right-section-fixed');
    //  }
    // });

    //  jQuery(window).scroll(function(){
    //       if(jQuery(window).scrollTop() >= 20) {
    //        jQuery('.bottom-section').addClass('bottom-section-fixed');
    //       } else {
    //        jQuery('.bottom-section').removeClass('bottom-section-fixed');
    //      }
    //     });

    //  jQuery(window).scroll(function(){
    //     if(jQuery(window).scrollTop() >= 20) {
    //      jQuery('.left-section').addClass('left-section-fixed');
    //     } else {
    //      jQuery('.left-section').removeClass('left-section-fixed');
    //    }
    //   });

    //  jQuery(window).scroll(function(){
    //     if(jQuery(window).scrollTop() >= 20) {
    //      jQuery('.for-menu').addClass('for-menu-fixed');
    //     } else {
    //      jQuery('.for-menu').removeClass('for-menu-fixed');
    //    }
    //   });

    //  jQuery(window).scroll(function(){
    //     if(jQuery(window).scrollTop() >= 20) {
    //      jQuery('.social-left').addClass('social-left-fixed');
    //     } else {
    //      jQuery('.social-left').removeClass('social-left-fixed');
    //    }
    //   });

    jQuery('.top-up').click(function(){
        jQuery("html, body").animate({ scrollTop: 0 }, 1100);
        return false;
    });
//-------------------------***********************fixed sidebar
// var height_w = jQuery( window ).height();
// var height_s = jQuery( '#sidebar-left' ).height();
// if(height_s <= height_w) {
//   jQuery(window).scroll(function(){
//     if(jQuery(window).scrollTop() >= 50) {
//      jQuery( '#sidebar-left' ).addClass( "sidebar-fixed" );
//     } } )
// } else {
//   jQuery(window).scroll(function(){
//     if(jQuery(window).scrollTop(100)) {
//      jQuery( '#sidebar-left' ).removeClass( "sidebar-fixed" );
//     } } )
// }

//**************************************blog
 jQuery(".blog, .category-content").width(function(i,val){
    var widthBlocks = val;
    if(widthBlocks >=600) {
        var widthItems = widthBlocks/3;
    } else if(widthBlocks >=414) {
        var widthItems = widthBlocks/2-2;
    }else {
        var widthItems = widthBlocks;
    }

    jQuery(".loop-item").css({"width":widthItems})

});

});

//tab
   jQuery('#myTab a').click(function (e) {
    e.preventDefault();
    jQuery(this).tab('show');
  })
  jQuery('#myTab a[href="#test"]').tab('show'); // Select tab by name
  jQuery('#myTab a:first').tab('show'); // Select first tab
  jQuery('#myTab a:last').tab('show'); // Select last tab
  jQuery('#myTab li:eq(0) a').tab('show'); // Select third tab (0-indexed)


//about us
( function( $ ) {


  var theToggle = document.getElementById('toggle');



    $(window).on('load', function () {
        var $preloader = $('#page-preloader'),
            $spinner   = $preloader.find('.sk-folding-cube');
        $spinner.fadeOut();
        $preloader.delay(350).fadeOut('slow');
    });

    $(document).ready(function(){
        // if($(".swiper-slide").find(".swiper-slide.swiper-slide-active")) {
        //     $(".swiper-slide h1").addClass('animated bounce');
            
        // } else {
        //     $(".swiper-slide h1").removeClass('animated bounce');
        // }
        
        //jQuery(".swiper-slide .slide-content").removeClass('animated bounce');

        // jQuery(".swiper-slide-active h1").viewportChecker({
        //   classToAdd: 'visible animated bounce',
        //   classToRemove: 'bounce',
        //   offset: 30,
        //   invertBottomOffset: true,
        //   repeat: true,
        //   callbackFunction: function(elem, action){},
        // });
    });

} )( jQuery );